﻿import matplotlib.pyplot as plt
def zplot(f, a, b, n):          # création d'une fonction f sur l'intervalle [a;b] avec un pas de n
    x = []
    y = []
    abscisse = a
    pas = (b - a)/ n
    for k in range(0, n + 1):
        x.append(abscisse)      # ajoute une abscisse dans la liste x
        y.append(f(abscisse))   # ajoute une ordonnéee dans la liste y
        abscisse += pas
    plt.plot(x, y)

from math import cos, pi
zplot(cos, 0, 2 * pi, 100)
plt.axis('equal')               # même échelle en abscisse et en ordonnée
plt.xlim(0, 4*pi)               # valeurs en abscisses
plt.ylim(-2, 2)                 # valeurs en ordonnées
plt.title("Fonction cosinus")
plt.xlabel("abscisses")
plt.ylabel("ordonnees")
plt.show()
plt.close()
